Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.opengis.feature.display.canvas
Class StyleException

    Object
      Throwable
          Exception
              StyleException

All Implemented Interfaces:
  Serializable

    public class StyleException

extends Exception

Thrown when the canvas is unable to apply a style to a feature that has been added to one of its layers.

Since:
  GeoAPI 2.0
See Also:
  Serialized Form

Constructor Summary
`StyleException()` Constructs a new exception with no detail message.
`StyleException(String message)` Constructs a new exception with the specified detail message.
`StyleException(String message, Throwable cause)` Constructs a new exception with the specified detail message and cause.
`StyleException(Throwable cause)` Constructs a new exception with the specified cause.

Method Summary

Methods inherited from class Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### StyleException

    public StyleException()

  Constructs a new exception with no detail message.

### StyleException

    public StyleException(String message)

  Constructs a new exception with the specified detail message.

  Parameters:
    `message` - the detail message, saved for later retrieval by the `Throwable.getMessage()` method.

### StyleException

    public StyleException(Throwable cause)

  Constructs a new exception with the specified cause.

  Parameters:
    `cause` - the cause, saved for later retrieval by the `Throwable.getCause()` method.

### StyleException

    public StyleException(String message,
                          Throwable cause)

  Constructs a new exception with the specified detail message and cause.

  Parameters:
    `message` - the detail message, saved for later retrieval by the `Throwable.getMessage()` method.
    `cause` - the cause, saved for later retrieval by the `Throwable.getCause()` method.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.